## Slice DTD
AC_DEFUN([AC_SLICEDTD],
[
  AC_MSG_CHECKING(Slice DTD location was specified)

  AC_ARG_WITH([slicedtd],
    AS_HELP_STRING(--with-slicedtd=URL,Location of Slice DTD (Default: "http://slicetools.sourceforge.net/aserver.dtd")),
    [],
      with_slicedtd="http://slicetools.sourceforge.net/aserver.dtd")

  SLICE_DTD="$with_slicedtd"

  if test "x${SLICE_DTD}" = "x"; then
    AC_MSG_ERROR("ERROR: You must specify a location for the Slice DTD")
  fi

  AC_SUBST(SLICE_DTD)
  AC_MSG_RESULT([$SLICE_DTD])
])


 
## Xerces Properties
AC_DEFUN([AC_XERCES],
[
  # Set Xerces Properties
  AC_ARG_WITH([xercesc_prefix],
    AS_HELP_STRING(--with-xercesc-prefix=PFX,Prefix to Xerces-C installation.),
    [],
    with_xercesc_prefix="")
        
    XERCESC_CFLAGS=""
    XERCESC_LDFLAGS="-lxerces-c"

    if test "x${with_xercesc_prefix}" != "x"; then
	  XERCESC_CFLAGS="-I$with_xercesc_prefix/include"
	  ac_xercesc_ldlib="-L$with_xercesc_prefix/lib"
	  XERCESC_LDFLAGS="$ac_xercesc_ldlib $XERCESC_LDFLAGS"
    fi
    
	AC_SUBST(XERCESC_CFLAGS)
	AC_SUBST(XERCESC_LDFLAGS)

    have_xerces=yes


  AC_MSG_CHECKING(whether Xerces works)
  AC_CACHE_VAL(ac_cv_xerces_test_result,
  [
    ac_cv_xerces_test_result="no"

    cat > xerces_test.$ac_ext << EOF
#include <xercesc/util/PlatformUtils.hpp>
using namespace XERCES_CPP_NAMESPACE;
      
int main( int argc, char **argv )
{
    XMLPlatformUtils::Initialize();

    return 0;
}
EOF

      if AC_TRY_EVAL("$CXX $XERCESC_CFLAGS $CXXFLAGS -o xerces_test xerces_test.$ac_ext $XERCESC_LDFLAGS"); then
         ac_cv_xerces_test_result="yes"
      fi

      if test "$ac_cv_xerces_test_result" = "no"; then
        echo "$as_me: failed program was:" >&AS_MESSAGE_LOG_FD()
        sed 's/^/| /' xerces_test.$ac_ext >&AS_MESSAGE_LOG_FD()
        AC_MSG_ERROR("error: xerces-c must be configured with --with-xerces-prefix=/path/to/xerces")
      fi

  ])dnl AC_CACHE_VAL ac_cv_xerces_test_result
  AC_MSG_RESULT([$ac_cv_xerces_test_result])

  rm -f xerces_test xerces_test.$ac_ext

  have_xerces=$ac_cv_xerces_test_result
])

