/*
  binsearchID:
  Find seq_id in cseq[0]->id, ..., cseq[n-1]->id,
  where cseq is struct CONTIG_SEQUENCE **

  This is a trivial modification of the code from Kernighan and Richie's
  The C Programming Language.

  If an id is found, binsearchID(id,cseq,numOfSeqs) returns the index i
  such that id = cseq[i]->id, otherwise it returns -1.
*/

#include "getCoverage.h"

int binsearchOffset(char *id, Offset *seq, int num)
{
  int cond;
  int low, high, mid;

  low = 0;
  high = num-1;
  while( low <= high ){
      mid = (low + high)/2;
      if( (cond = strcmp(id,seq[mid].id)) < 0 )
          high = mid-1;
      else if( cond > 0 )
          low = mid + 1;
      else
          return mid;
  }

  return -1;
}
