#ifndef SLICEOPTIMIZER_HH 
#define SLICEOPTIMIZER_HH 1

#include "RequestManager.hh"
#include "Foundation.hh"
#include "Contig.hh"

class SliceOptimizer : public RequestManager
{
public:
  SliceOptimizer();
  ~SliceOptimizer();

  void addSlice(SliceData * slice);
  void addSliceRange(long & index, long & gindex);
  void addRequest(ConsensusRequest * request);

  int processContigFile(const string & infile, ostream & error);

  int  printResults();

  static int s_verbose;
  static void handleOptions(Foundation * tf);


private:
  Contig * m_contig;

};

#endif
