#ifndef SLICEREVERSER_HH 
#define SLICEREVERSER_HH 1

#include "RequestManager.hh"
#include <list>

using libSlice::SliceData;
using libSlice::ConsensusData;

typedef list<SliceData *> SliceList;

class SliceReverser : public RequestManager
{
public:
  SliceReverser();
  ~SliceReverser();

  void addSlice(SliceData * slice);
  void addSliceRange(long & index, long & gindex);
  void addRequest(ConsensusRequest * request);
  void addReadData(ReadData * readData);

  int  printResults();

private:
  void printReverseSliceXML(SliceData * slice);

  SliceList m_sliceList;

  long m_index;
  long m_gindex;
};

#endif
