#ifndef TILINGMANAGER_HH
#define TILINGMANAGER_HH 1

#include "SequenceData.hh"
#include "ConsensusSequence.hh"
#include "RequestManager.hh"

using libSlice::SliceData;

class TilingManager : public RequestManager
{
public:
  TilingManager();
  ~TilingManager();

  void addSliceRange(long & index, long & gindex);
  void addSlice(SliceData * slice);

  int  printResults();

  void setAsmblId     (const string & asmbl_id);

  static void handleOptions(Foundation * tf);

private:
  ConsensusSequence * m_consensusSequence;

  int m_contigCount;

  static string m_asmblId;
  static int m_circular;
};

#endif
